Gnome to Xfce migration [Solved]

Compiz, KDE, Gnome, Fluxbox, etc...

Moderator: Moderators

Gnome to Xfce migration [Solved]

Postby m.reza » Fri Feb 07, 2014 16:04

Hello everybody
I wanted to switch permanently to Xfce. So I read the corresponding article in wiki (removing Gnome). Everything goes fine, until "equo deptest". When I enter it, it reinstalls everything for Gnome - including gnome-shell, gdm, etc.
I'm so confused. Are these packages shared with Xfce?
What should I do?
Thanks in advance.

PS: I entered
Code: Select all
equo deptest --ask
Then I removed the unnecessary packages.
m.reza
Young Hen
 
Posts: 30
Joined: Sat Dec 21, 2013 13:37

Re: Gnome to Xfce migration [Solved]

Postby sabayonino » Sat Feb 08, 2014 14:09

you can check package sets :
Code: Select all
# equo query sets




Set for Gnome (@gnome) :
Code: Select all
 gnome
╠     @X
╠     app-arch/file-roller
╠     app-cdr/brasero
╠     app-misc/sabayon-skel
╠     app-text/evince
╠     gnome-base/gdm
╠     gnome-base/gnome
╠     gnome-base/gnome-shell
╠     gnome-extra/gnome-media
╠     gnome-extra/nm-applet
╠     mail-client/evolution
╠     media-gfx/eog
╠     media-video/totem
╠     x11-apps/xdm
╠     x11-themes/sabayon-artwork-gnome

(included @X set )
Code: Select all
# equo rm @gnome



Set for Xfce (@xfce) :
Code: Select all
xfce
╠     @X
╠     @wireless
╠     app-editors/leafpad
╠     app-misc/sabayon-skel
╠     media-plugins/alsa-plugins
╠     x11-themes/elementary-icon-theme
╠     xfce-base/xfce4-appfinder
╠     xfce-base/xfce4-meta
╠     xfce-extra/xfce4-power-manager
╠     xfce-extra/xfce4-taskmanager


(included two sets @X and @wireless)
Code: Select all
# equo i @xfce


Code: Select all
# equo deptest && equo libtest


pay attention what wil l remov e !!


see
Code: Select all
# equo --help
User avatar
sabayonino
Sagely Hen
 
Posts: 2537
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: Gnome to Xfce migration [Solved]

Postby m.reza » Sat Feb 08, 2014 19:14

The system seems healthy - since this morning that I did all those stuff. but anyway, running "equo rm @gnome" doesn't remove anything. This is the output:
Code: Select all
# equo rm @gnome --ask
☛ !!!
☛ !!! Warning: app-cdr/brasero is not installed.
☛ !!!
╠    ? When you wrote app-cdr/brasero You Meant(tm) one of these below?
╠     # app-cdr/isomd5sum:0
☛ !!!
☛ !!!
☛ !!! Warning: app-text/evince is not installed.
☛ !!!
╠    ? When you wrote app-text/evince You Meant(tm) one of these below?
╠     # app-dicts/aspell-en:0
╠     # app-dicts/aspell-ru:0
╠     # app-dicts/gnome-dictionary:0
╠     # app-dicts/myspell-en:0
╠     # app-text/aspell:0
╠     # app-text/build-docbook-catalog:0
╠     # app-text/calibre:0
╠     # app-text/djvu:0
╠     # app-text/docbook-xml-dtd:4.2
╠     # app-text/docbook-xsl-stylesheets:0
╠     # app-text/dvipdfmx:0
╠     # app-text/dvipsk:0
╠     # app-text/enchant:0
╠     # app-text/fbreader:0
╠     # app-text/ghostscript-gpl:0
╠     # app-text/goldendict:0
╠     # app-text/gtkspell:3
╠     # app-text/hunspell:0
╠     # app-text/iso-codes:0
╠     # app-text/libexttextcat:0
╠     # app-text/liblangtag:0
╠     # app-text/libmspub:0
╠     # app-text/libmwaw:0
╠     # app-text/libodfgen:0
╠     # app-text/libpaper:0
╠     # app-text/libspectre:0
╠     # app-text/libwpd:0.9
╠     # app-text/libwpg:0.2
╠     # app-text/libwps:0
╠     # app-text/mupdf:0
╠     # app-text/mythes:0
╠     # app-text/pastebunz:0
╠     # app-text/podofo:0
╠     # app-text/poppler-base:0
╠     # app-text/poppler-data:0
╠     # app-text/poppler-glib:0
╠     # app-text/poppler-qt4:0
╠     # app-text/ps2pkm:0
╠     # app-text/qpdf:0
╠     # app-text/recode:0
╠     # app-text/teckit:0
╠     # app-text/texlive-core:0
╠     # app-text/xdvipdfmx:0
╠     # app-text/xmlto:0
☛ !!!
☛ !!!
☛ !!! Warning: gnome-base/gdm is not installed.
☛ !!!
╠    ? When you wrote gnome-base/gdm You Meant(tm) one of these below?
╠     # gnome-base/gconf:2
╠     # gnome-base/gnome-desktop:3
╠     # gnome-base/gnome-keyring:0
╠     # gnome-base/gnome-menus:3
╠     # gnome-base/gsettings-desktop-schemas:0
╠     # gnome-base/gvfs:0
╠     # gnome-base/libbonobo:0
╠     # gnome-base/libgdu:0
╠     # gnome-base/libglade:2.0
╠     # gnome-base/libgnome-keyring:0
╠     # gnome-base/libgnomecanvas:0
╠     # gnome-base/libgnomekbd:0
╠     # gnome-base/libgtop:2
╠     # gnome-base/librsvg:2
╠     # gnome-base/orbit:2
☛ !!!
☛ !!!
☛ !!! Warning: gnome-base/gnome is not installed.
☛ !!!
╠    ? When you wrote gnome-base/gnome You Meant(tm) one of these below?
╠     # gnome-base/gconf:2
╠     # gnome-base/gnome-desktop:3
╠     # gnome-base/gnome-keyring:0
╠     # gnome-base/gnome-menus:3
╠     # gnome-base/gsettings-desktop-schemas:0
╠     # gnome-base/gvfs:0
╠     # gnome-base/libbonobo:0
╠     # gnome-base/libgdu:0
╠     # gnome-base/libglade:2.0
╠     # gnome-base/libgnome-keyring:0
╠     # gnome-base/libgnomecanvas:0
╠     # gnome-base/libgnomekbd:0
╠     # gnome-base/libgtop:2
╠     # gnome-base/librsvg:2
╠     # gnome-base/orbit:2
☛ !!!
☛ !!!
☛ !!! Warning: gnome-base/gnome-shell is not installed.
☛ !!!
╠    ? When you wrote gnome-base/gnome-shell You Meant(tm) one of these below?
╠     # gnome-base/gconf:2
╠     # gnome-base/gnome-desktop:3
╠     # gnome-base/gnome-keyring:0
╠     # gnome-base/gnome-menus:3
╠     # gnome-base/gsettings-desktop-schemas:0
╠     # gnome-base/gvfs:0
╠     # gnome-base/libbonobo:0
╠     # gnome-base/libgdu:0
╠     # gnome-base/libglade:2.0
╠     # gnome-base/libgnome-keyring:0
╠     # gnome-base/libgnomecanvas:0
╠     # gnome-base/libgnomekbd:0
╠     # gnome-base/libgtop:2
╠     # gnome-base/librsvg:2
╠     # gnome-base/orbit:2
☛ !!!
☛ !!!
☛ !!! Warning: gnome-extra/gnome-media is not installed.
☛ !!!
╠    ? When you wrote gnome-extra/gnome-media You Meant(tm) one of these below?
╠     # gnome-extra/at-spi:1
╠     # gnome-extra/evolution-data-server:0
╠     # gnome-extra/gnome-audio:0
╠     # gnome-extra/gnome-color-manager:0
╠     # gnome-extra/gnome-contacts:0
╠     # gnome-extra/gtkhtml:4.0
╠     # gnome-extra/nm-applet:0
╠     # gnome-extra/zenity:0
☛ !!!

☢   Ouch!, the following system packages were pulled in:
☢     # sys-devel/gcc-4.7.3-r1


And running "equo i @xfce" doesn't install anything. I think there's no problem. But I don't understand the output of the first command. Do you think there might be a problem?
m.reza
Young Hen
 
Posts: 30
Joined: Sat Dec 21, 2013 13:37

Re: Gnome to Xfce migration [Solved]

Postby sabayonino » Sat Feb 08, 2014 19:51

'cause i've already removed ... (or installed)

but :
Code: Select all
 Ouch!, the following system packages were pulled in:
 # sys-devel/gcc-4.7.3-r1


if you're intrepid ... you can install @gnome (again) and remove it ... :mrgreen:

try to experiment :twisted:
(I recommend a backup :twisted: :twisted: :roll: )
User avatar
sabayonino
Sagely Hen
 
Posts: 2537
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: Gnome to Xfce migration [Solved]

Postby m.reza » Sat Feb 08, 2014 21:24

I thought there might be some packages still there. That's why I was a little confused. "equo query installed gnome" shows some packages, but I assume they are needed by Xfce.
I think I'm fine. I'm planning to stay on Xfce. It seems nice :pirat: . And what do you mean by being intrepid? what would happen by reinstalling gnome?
I just don't want to risk it. My Windows-using friends are waiting for me. I sometimes risk about some stuff, but I usually want to keep it healthy - I use my computer for everyday use.
m.reza
Young Hen
 
Posts: 30
Joined: Sat Dec 21, 2013 13:37


Return to 3D Desktops and Window Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron